DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# sgml-root-element?

## Name

sgml-root-element? -- Test if a node is the root element

## Synopsis

    (sgml-root-element? node)

## Description

Returns `#t` if node is the root element of the current document.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (sgml-root-element? node)
      ;; Test if a node is the root element
      (node-list=? node (sgml-root-element node)))

Prev | Home | Next
sgml-root-element | Up | length-string-number-part